Name:           cloud-init-el-release
Version:        7
Release:        1
Summary:        Cloud-init Enterprise Linux repository configuration

Group:          System Environment/Base
License:        GPLv2

URL:            http://download.fedoraproject.org/pub/epel
Source2:        cloud-init-el-stable.repo.tmpl
Source3:        cloud-init-el-testing.repo.tmpl

BuildArch:     noarch
Requires:      redhat-release >=  %{version}

%description
This package contains the Cloud-init for Enterprise Linux repository
GPG key as well as configuration for yum.

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE2} .
install -pm 644 %{SOURCE3} .

%build

%install
rm -rf $RPM_BUILD_ROOT

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
for repo in %{SOURCE2} %{SOURCE3}; do
    target=${repo%*.tmpl}
    sed -e "s,{{DIST}},%{rhel},g" $repo > $target
    install -pm 644 $target \
        $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
done

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/*

%changelog
* Thu Jul 20 2017 Ryan Harper <ryan.harper@canonical.com> - 7-0.1
- initial cloud-init-el-release 7 build.

